<ion-header>
    <ion-toolbar *ngIf="this.data" mode="ios" class="header-page" color="light">
        <ion-buttons slot="start">
            <ion-button (click)="this.commonMethodsTs.goBack()">
                <ion-icon slot="icon-only" name="arrow-back"></ion-icon>
            </ion-button>
        </ion-buttons>
        <ion-title>
            Nội dung
        </ion-title>
        <ion-buttons *ngIf="this.data && myForm" slot="end">
            <ion-button *ngIf="!this.data.IsDuyet" (click)="approval()">
                Duyệt
            </ion-button>
            <ion-text color="success" *ngIf="this.data.IsDuyet">
                Đã duyệt
            </ion-text>
        </ion-buttons>
    </ion-toolbar>
</ion-header>
<ion-content class="background-content has-fixed-bottom scroll-content">
    <ion-grid fixed class="ion-no-padding" *ngIf="this.data && myForm">
        <form [formGroup]="myForm">
            <ion-item>
                <ion-label> PinTop<span class="custom-span"></span>:</ion-label>
                {{togglePinTop.checked ?  "Bật" : "Tắt"}}
                <ion-toggle #togglePinTop formControlName="IsPinTop" (click)="ionChangePinTop()"></ion-toggle>
            </ion-item>
            <ion-list margin-bottom-content
                [ngClass]="{'empty':myForm.value?.TieuDe == defaultValue.defaultMoTaChiTiet}">
                <ion-item>
                    <ion-label>{{myForm?.value.TieuDe}}</ion-label>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content>
                <ion-label>
                    <!-- <ck-editor #ckDangTin class="ck-dangtin" [ngClass]="{'ck-empty':(!myForm.value?.MoTaChiTiet)}"     [readonly]="true"
                         [config]="configCkTinDang" formControlName="MoTaChiTiet">
                    </ck-editor> -->
                    <ck-editor #ckDangTin class="ck-dangtin" [ngClass]="{'ck-empty':(!myForm.value?.MoTaChiTiet)}"     [readonly]="true"
                         [config]="configCkTinDang" [formControl]="myForm.controls['MoTaChiTiet']">
                    </ck-editor>
                </ion-label>
            </ion-list>
            <ion-list margin-bottom-content class="ion-no-padding" *ngIf="myForm.value.ListHinhAnh?.length > 0">
                <view-gallery [data]="myForm.value.ListHinhAnh" [description]="myForm.value?.MoTaChiTiet" [className]="myForm.value.MaLayoutAlbum"></view-gallery>
            </ion-list>
            <ion-list class="address-dangtin-list" margin-bottom-content>
                <ion-item *ngIf="myForm.value.ThanhVien_Ext as infoTV">
                    <ion-label>
                        <h3 class="label-header-default">Thông tin liên hệ</h3>
                        <h4><b>{{infoTV.HoTen}}</b></h4>
                        <h4>{{infoTV.DienThoai}}</h4>
                        <p>{{infoTV.DiaChi}}</p>
                    </ion-label>
                </ion-item>
            </ion-list>
            <ion-list margin-bottom-content *ngIf="myForm.value.TinhTrang == 1">
                <ion-item>
                    <ion-label position="stacked">Giá:
                        {{myForm.value.Gia|shortcurrency:true}}</ion-label>
                        {{myForm.value.Gia}}
                </ion-item>
            </ion-list>

            <ion-list margin-bottom-content>
                <ion-list-header>
                    <ion-label>
                        <h3 class="label-header-default">Thông số xe</h3>
                        <p class="item-desc">Thông số dưới đây được lấy mặc định, bạn vui lòng nhập
                                lại cho đúng thực tế.</p>
                    </ion-label>
                </ion-list-header>
                <ion-item lines="full">
                    <ion-label position="stacked">Đời xe: {{myForm.value.NamSanXuat}}
                    </ion-label>
                </ion-item>
                <ion-item lines="full">
                    <ion-label position="stacked">Động cơ: {{myForm.value.DongCo}}
                    </ion-label>

                </ion-item>
                <ion-item lines="full">
                    <ion-label position="stacked">Hộp số: {{myForm.value.HopSo}}
                    </ion-label>
                   
                </ion-item>
                <ion-item lines="full">
                    <ion-label position="stacked">Số chỗ ngồi: {{myForm.value.SoChoNgoi|number}}</ion-label>

                </ion-item>
                <ion-item lines="full" class="has-controls">
                    <ion-label position="stacked">Loại nhiên liệu</ion-label>
                    <custom-ion-select [disabled]=true placeholder="Ví dụ: Xăng" formControlName="NhienLieu"  [isDialog]=true
                        [options]="{labelDefault:'Chọn nhiên liệu'}" type="NhienLieu"></custom-ion-select>
                </ion-item>
                <ion-item lines="full">
                    <ion-label position="stacked">Mức tiêu thụ nhiên liệu/100Km: {{myForm.value.MucTieuHaoNhienLieu100}}
                    </ion-label>

                </ion-item>
            </ion-list>
            <ion-list *ngIf="data.Id > 0">
                <ion-item>
                    <ion-label class="ion-text-center" (click)="remove()" color="primary">Xóa tin rao
                    </ion-label>
                </ion-item>
            </ion-list>
            <ion-list *ngIf="data.Id > 0">
                <ion-item>
                    <ion-label class="ion-text-center" (click)="refuse()" color="secondary">Từ chối duyệt
                    </ion-label>
                </ion-item>
            </ion-list>

        </form>
    </ion-grid>
    <ion-list *ngIf="!(this.data && myForm)">
        <ion-item lines="none">
            <ion-label>
                <h2>
                    <ion-skeleton-text animated style="width: 20px;"></ion-skeleton-text>
                </h2>
                <h3>
                    <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                </h3>
            </ion-label>
        </ion-item>
        <ion-item lines="none">
            <ion-label>
                <h2>
                    <ion-skeleton-text animated style="width: 80px;"></ion-skeleton-text>
                </h2>
                <h3>
                    <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
                </h3>
                <p>
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </p>
            </ion-label>
        </ion-item>
        <ion-item lines="none">
            <ion-label>
                <h2>
                    <ion-skeleton-text animated style="width: 70px;"></ion-skeleton-text>
                </h2>
                <h3>
                    <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                </h3>
                <p>
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </p>
            </ion-label>
        </ion-item>
        <ion-item lines="none">
            <ion-label>
                <h2>
                    <ion-skeleton-text animated style="width: 50px;"></ion-skeleton-text>
                </h2>
                <h3>
                    <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                </h3>
                <p>
                    <ion-skeleton-text animated style="width: 20%"></ion-skeleton-text>
                </p>
            </ion-label>
        </ion-item>
    </ion-list>
</ion-content>